Index: cpukit/libcsupport/src/fcntl.c
===================================================================
--- cpukit/libcsupport/src/fcntl.c	(revision f50ebdb6c2bb78f9d4398ca7a3515b44775ee705)
+++ cpukit/libcsupport/src/fcntl.c	(revision 2e8737ad5efaafec7c831bd3d92514926c8a78df)
@@ -178,5 +178,5 @@
 
 int _fcntl_r(
-  struct _reent *ptr,
+  struct _reent *ptr __attribute__((unused)),
   int fd,
   int cmd,
Index: cpukit/libcsupport/src/malloc_boundary.c
===================================================================
--- cpukit/libcsupport/src/malloc_boundary.c	(revision f50ebdb6c2bb78f9d4398ca7a3515b44775ee705)
+++ cpukit/libcsupport/src/malloc_boundary.c	(revision 2e8737ad5efaafec7c831bd3d92514926c8a78df)
@@ -129,6 +129,6 @@
 
 static void rtems_malloc_boundary_at_realloc(
-  void     *pointer,
-  size_t    size
+  void     *pointer __attribute__((unused)),
+  size_t    size __attribute__((unused))
 )
 {
Index: cpukit/libcsupport/src/newlibc_reent.c
===================================================================
--- cpukit/libcsupport/src/newlibc_reent.c	(revision f50ebdb6c2bb78f9d4398ca7a3515b44775ee705)
+++ cpukit/libcsupport/src/newlibc_reent.c	(revision 2e8737ad5efaafec7c831bd3d92514926c8a78df)
@@ -54,5 +54,5 @@
  */
 bool newlib_create_hook(
-  rtems_tcb *current_task,
+  rtems_tcb *current_task __attribute__((unused)),
   rtems_tcb *creating_task
 )
Index: cpukit/libcsupport/src/printk_plugin.c
===================================================================
--- cpukit/libcsupport/src/printk_plugin.c	(revision f50ebdb6c2bb78f9d4398ca7a3515b44775ee705)
+++ cpukit/libcsupport/src/printk_plugin.c	(revision 2e8737ad5efaafec7c831bd3d92514926c8a78df)
@@ -18,5 +18,5 @@
 
 int printk_plugin( 
-  void *ignored,
+  void *ignored __attribute__((unused)),
   const char *format,
   ...
Index: cpukit/libcsupport/src/stat.c
===================================================================
--- cpukit/libcsupport/src/stat.c	(revision f50ebdb6c2bb78f9d4398ca7a3515b44775ee705)
+++ cpukit/libcsupport/src/stat.c	(revision 2e8737ad5efaafec7c831bd3d92514926c8a78df)
@@ -96,5 +96,5 @@
 
 int _STAT_R_NAME(
-  struct _reent *ptr,
+  struct _reent *ptr __attribute__((unused)),
   const char    *path,
   struct stat   *buf
Index: cpukit/libcsupport/src/tcflow.c
===================================================================
--- cpukit/libcsupport/src/tcflow.c	(revision f50ebdb6c2bb78f9d4398ca7a3515b44775ee705)
+++ cpukit/libcsupport/src/tcflow.c	(revision 2e8737ad5efaafec7c831bd3d92514926c8a78df)
@@ -27,5 +27,7 @@
 #include <rtems/libio.h>
 
-int tcflow (int fd, int action)
+int tcflow (
+  int fd __attribute__((unused)), 
+  int action __attribute__((unused)))
 {
   return 0;
Index: cpukit/libcsupport/src/tcflush.c
===================================================================
--- cpukit/libcsupport/src/tcflush.c	(revision f50ebdb6c2bb78f9d4398ca7a3515b44775ee705)
+++ cpukit/libcsupport/src/tcflush.c	(revision 2e8737ad5efaafec7c831bd3d92514926c8a78df)
@@ -27,5 +27,7 @@
 #include <rtems/libio.h>
 
-int tcflush (int fd, int queue)
+int tcflush (
+  int fd __attribute__((unused)),
+  int queue __attribute__((unused)) )
 {
   return 0;
Index: cpukit/libcsupport/src/tcsendbreak.c
===================================================================
--- cpukit/libcsupport/src/tcsendbreak.c	(revision f50ebdb6c2bb78f9d4398ca7a3515b44775ee705)
+++ cpukit/libcsupport/src/tcsendbreak.c	(revision 2e8737ad5efaafec7c831bd3d92514926c8a78df)
@@ -27,5 +27,7 @@
 #include <rtems/libio.h>
 
-int tcsendbreak ( int fd, int duration )
+int tcsendbreak (
+  int fd __attribute__((unused)),
+  int duration __attribute__((unused)) )
 {
   return 0;
Index: cpukit/libcsupport/src/tcsetpgrp.c
===================================================================
--- cpukit/libcsupport/src/tcsetpgrp.c	(revision f50ebdb6c2bb78f9d4398ca7a3515b44775ee705)
+++ cpukit/libcsupport/src/tcsetpgrp.c	(revision 2e8737ad5efaafec7c831bd3d92514926c8a78df)
@@ -27,5 +27,7 @@
 #include <rtems/libio.h>
 
-int tcsetprgrp(int fd, pid_t pid)
+int tcsetprgrp(
+  int fd __attribute__((unused)),
+  pid_t pid __attribute__((unused)) )
 {
   return 0;
Index: cpukit/libcsupport/src/unlink.c
===================================================================
--- cpukit/libcsupport/src/unlink.c	(revision f50ebdb6c2bb78f9d4398ca7a3515b44775ee705)
+++ cpukit/libcsupport/src/unlink.c	(revision 2e8737ad5efaafec7c831bd3d92514926c8a78df)
@@ -101,5 +101,5 @@
 
 int _unlink_r(
-  struct _reent *ptr,
+  struct _reent *ptr __attribute__((unused)),
   const char    *path
 )
Index: cpukit/libcsupport/src/unmount.c
===================================================================
--- cpukit/libcsupport/src/unmount.c	(revision f50ebdb6c2bb78f9d4398ca7a3515b44775ee705)
+++ cpukit/libcsupport/src/unmount.c	(revision 2e8737ad5efaafec7c831bd3d92514926c8a78df)
@@ -65,7 +65,7 @@
 
 bool file_systems_below_this_mountpoint(
-  const char                            *path,
+  const char                            *path __attribute__((unused)),
   rtems_filesystem_location_info_t      *fs_root_loc,
-  rtems_filesystem_mount_table_entry_t  *fs_to_unmount
+  rtems_filesystem_mount_table_entry_t  *fs_to_unmount __attribute__((unused))
 )
 {
Index: cpukit/libcsupport/src/write_r.c
===================================================================
--- cpukit/libcsupport/src/write_r.c	(revision f50ebdb6c2bb78f9d4398ca7a3515b44775ee705)
+++ cpukit/libcsupport/src/write_r.c	(revision 2e8737ad5efaafec7c831bd3d92514926c8a78df)
@@ -30,5 +30,5 @@
 
 _ssize_t _write_r(
-  struct _reent *ptr,
+  struct _reent *ptr __attribute__((unused)),
   int            fd,
   const void    *buf,
